Subject: bug#15987: 24.3; diary-add-to-list ignored by diary-mark-entries

From: Stephen Berman <[email-masked]>
Date: Wed, 21 Aug 2019 16:10:17 +0200

On Wed, 21 Aug 2019 15:29:22 +0200 Stefan Kangas <[email-masked]> wrote:

> Roland Winkler <[email-masked]> writes:
>>
>> On Wed Aug 21 2019 Stefan Kangas wrote:
>> > Roland Winkler <[email-masked]> writes:
>> >
>> > > I believe, the cleanest, backward-compatible solution would be to
>> > > use bbdb-anniv-goto-entry as a replacement for diary-goto-entry
>> > > and declare diary-goto-entry-function obsolete.  (The obsolete
>> > > variable diary-goto-entry-function could be kept for some time
>> > > without harm.)
>> >
>> > Thanks for clarifying.  Would you be willing to write that up, if
>> > everyone agrees on the solution?
>>
>> Sure, I can do what I said above.  (I do not know todo-mode that
>> currently "hijacks" diary-goto-entry-function for its purposes.
>> It is probably easier if someone else can do that part.)
>
> Thanks.  I'm not familiar with the code in question so if you need a
> second opinion or help with todo-mode, it would have to come from
> someone other than me.

If diary-goto-entry-function is replaced, I'll adapt the todo-mode code
as needed.

Steve Berman